<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Car Registration</title>
</head>
<body>
<form action="/provider/register-car" method="post" enctype="multipart/form-data" th:object="${carDto}">
        <label>License Plate</label>
        <input type="text" class="form-control" placeholder="License Plate" th:field="*{licensePlate}"><br/>

        <label>Capacity</label>
        <input type="number" class="form-control" placeholder="Capacity" th:field="*{capacity}"><br/>

        <label>Model</label>
        <input type="text" class="form-control" placeholder="Model" th:field="*{model}"><br/>

        <label>Price Rate</label>
        <input type="number" class="form-control" placeholder="Price Rate" th:field="*{priceRate}"><br/>

        <label>Price Rate</label>
        <select name="Transmission" th:field="*{transmission}">
            <option th:each="transmission: ${transmissions}"
                    th:value="${transmission.toString()}"
                    th:text="${transmission.toString().toLowerCase()}"></option>
        </select><br/>

        <label>Color</label>
        <select name="Color" th:field="*{color}">
            <option th:each="color: ${colors}"
                    th:value="${color.toString()}"
                    th:text="${color.toString().toLowerCase()}"></option>
        </select><br/>

        <label>Available Start Date</label>
        <input type="date" th:field="*{availableStart}"><br/>

        <label>Available End Date</label>
        <input type="date" th:field="*{availableEnd}"><br/>

        <label>Location</label>
        <select name="Location" th:field="*{cityName}">
                <option th:each="location: ${locations}"
                        th:value="${location.getCityName()}"
                        th:text="${location.getCityName()}"></option>
        </select><br/>

        <label>Car Description</label><br/>
        <textarea th:field="*{description}"></textarea><br/>

        <input type="file" name="car-image" accept="image/jpeg, image/png" />

        <button type="submit">Submit</button>
    </form>

</body>
</html>